#!/usr/bin/env perl -w
use strict;
use utf8;

sub pokerschmoker_cb {
	my($data, $mod, $mod_data, $msg) = @_;
	
	if($msg =~ /^pj/) {
		$msg = "poker join";
  }
  elsif($msg =~ /^pl/) {
    $msg = "poker leave";
  }
  elsif($msg =~ /^ca$/) {
    $msg = "call";
  }
  elsif($msg =~ /^c$/) {
    $msg = "check";
  }

	return $msg;
}

weechat::register("pokerschmoker.pl", "flummi", "1.0", "MIT", "pokerschmoker", "", "");
weechat::hook_modifier("input_text_for_buffer", "pokerschmoker_cb", "");
